digiKam Developer Documentation: Digikam::DHueSaturationSelector Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Friends | List of all members
Digikam::DHueSaturationSelector Class Reference
Inheritance diagram for Digikam::DHueSaturationSelector:

## Public Member Functions
| DHueSaturationSelector (QWidget *const parent=nullptr)
| Constructs a hue/saturation selection widget.
| ~DHueSaturationSelector () override
| Destructor.
DColorChooserMode | chooserMode () const
| Returns the chooser mode.
int | colorValue () const
| Returns the color value (also known as luminosity, 0-255)
int | hue () const
| Returns the hue value.
int | saturation () const
| Returns the saturation (0-255)
void | setChooserMode (DColorChooserMode chooserMode)
| Sets the chooser mode.
void | setColorValue (int color)
| Sets the color value (0-255)
void | setHue (int hue)
| Sets the hue value (0-360)
void | setSaturation (int saturation)
| Sets the saturation (0-255)
void | updateContents ()
| Updates the contents.
Public Member Functions inherited from Digikam::DPointSelect
| DPointSelect (QWidget *const parent)
| Constructs a two-dimensional selector widget which has a value range of [0..100] in both directions.
QRect | contentsRect () const
QSize | minimumSizeHint () const override
| Reimplemented to give the widget a minimum size.
void | setMarkerColor (const QColor &col)
| Sets the color used to draw the marker.
void | setRange (int minX, int minY, int maxX, int maxY)
| Sets the range of possible values.
void | setValues (int xPos, int yPos)
| Sets the current values in horizontal and vertical direction.
void | setXValue (int xPos)
| Sets the current horizontal value.
void | setYValue (int yPos)
| Sets the current vertical value.
int | xValue () const
int | yValue () const

## Protected Member Functions
void | drawContents (QPainter *painter) override
| Reimplemented from DPointSelect.
virtual void | drawPalette (QPixmap *pixmap)
| Draws the contents of the widget on a pixmap, which is used for buffering.
void | resizeEvent (QResizeEvent *) override
Protected Member Functions inherited from Digikam::DPointSelect
virtual void | drawMarker (QPainter *p, int xp, int yp)
| Override this function to draw the marker which indicates the currently selected value pair.
void | mouseMoveEvent (QMouseEvent *e) override
void | mousePressEvent (QMouseEvent *e) override
void | paintEvent (QPaintEvent *e) override
void | valuesFromPosition (int x, int y, int &xVal, int &yVal) const
| Converts a pixel position to its corresponding values.
void | wheelEvent (QWheelEvent *) override

## Friends
class | Private

## Additional Inherited Members
Signals inherited from Digikam::DPointSelect
void | valueChanged (int x, int y)
| This signal is emitted whenever the user chooses a value, e.g.
Properties inherited from Digikam::DPointSelect
int | xValue
int | yValue

## Member Function Documentation

## ◆ chooserMode()

DColorChooserMode Digikam::DHueSaturationSelector::chooserMode | ( |  | ) | const

Returns
  The chooser mode (defined in DColorChooserMode)

## ◆ colorValue()

int Digikam::DHueSaturationSelector::colorValue | ( |  | ) | const

Returns
  The color value (0-255)

## ◆ drawContents()

void Digikam::DHueSaturationSelector::drawContents | ( | QPainter * | painter | ) |
| overrideprotectedvirtual

This drawing is buffered in a pixmap here. As real drawing routine, drawPalette() is used.

Reimplemented from Digikam::DPointSelect.

## ◆ hue()

int Digikam::DHueSaturationSelector::hue | ( |  | ) | const

Returns
  The hue value (0-360)

## ◆ saturation()

int Digikam::DHueSaturationSelector::saturation | ( |  | ) | const

Returns
  The saturation (0-255)

## ◆ setChooserMode()

void Digikam::DHueSaturationSelector::setChooserMode | ( | DColorChooserMode | chooserMode | ) |

The allowed modes are defined in DColorChooserMode.

Parameters

  chooserMode | The chooser mode as defined in DColorChooserMode

## ◆ setColorValue()

void Digikam::DHueSaturationSelector::setColorValue | ( | int | color | ) |

Parameters

  color | The color value (0-255)

## ◆ setHue()

void Digikam::DHueSaturationSelector::setHue | ( | int | hue | ) |

Parameters

  hue | The hue value (0-360)

## ◆ setSaturation()

void Digikam::DHueSaturationSelector::setSaturation | ( | int | saturation | ) |

Parameters

  saturation | The saturation (0-255)